﻿.gm-style {
    font-family: 'Open Sans', arial, sans-serif;
}

th {
    background-color: #dddddd;
    text-align: left;
    vertical-align: top;
}

ol li {
    padding-bottom: 10px;
}

#overview_map_border {
    width: 113px;
    height: 113px;
    position: absolute;
    right: 0;
    bottom: 0;
    border: 0;
    border-top: 1px solid #979797;
    border-left: 1px solid #979797;
    background-color: #E8ECF8;
    padding: 0;
    padding-top: 7px;
    padding-left: 7px;
    z-index: 1;
}

#overview_map {
    width: 112px;
    height: 112px;
    border: 0;
    border-top: 1px solid #979797;
    border-left: 1px solid #979797;
    overflow: hidden;
}

#overlayMap {
    height: 224px;
    top: -56px;
    border: 0;
}

#overview_map_border + div + div {
    right: 121px !important;
}

.markerImage {
	margin-left: auto;
	margin-right: auto;
}

.lwMarker {
    cursor: pointer;
    -webkit-transform: translateZ(0px);
}

.resultCell,
.resultCellHeader,
.resultCellSubHeader {
	color: #5F2B10;
	font-size: 12px;
    font-weight: bold;
}

.resultCellHeader {
    font-size: 13px;
}

.resultCellSubHeader {
    padding-bottom: 4px;
}

.resultCellCenter {
    text-align: center;
    width: 16px;
}

.resultCellCenter > img{
    display: inline !important;
}

.mapFilters {
    width: 100%;
}

.mapFilters select {
    width: 99%;
}

.subQuestionItems {
    margin-left: 16px;
}

.subQuestionTextItems {
    margin-left: 20px;
}

.subSymbolQuestionItems {
    margin-left: 32px;
}

.infobox {
    min-height: 40px;
    min-width: 70px;

    /* iOS Safari issue seems to cause padding right/bottom to be 0 on 
        wrapping marker, so apply padding to the infobox inner */
    padding: 8px;
}

.infobox.searching {
    text-align: center;
}

.infobox > .searchIconLoader {
    display: block;
    margin-top: 14px;
    margin-left: auto;
    margin-right: auto;
}

.infobox > strong {
    font-weight: 600;
}

ul.formControl {
    list-style: outside none none;
    margin-bottom: 0;
    margin-top: 0;
    padding-left: 0;
}


/* MAP CONTROLS
----------------------------------------------------------*/
.mapControl {
    background: none rgb(255, 255, 255);
    border: 0px;
    padding: 0px;
    cursor: pointer;
    user-select: none;
    border-radius: 0.25rem;
    box-shadow: rgba(0, 0, 0, 0.3) 0px 1px 4px -1px;
    text-align: center;
    position: relative;
    overflow: initial;
}

.mapControl.mapControlPrimary {
    background: #ff6600;
    background: var(--speciesPrimaryColor);
    color: rgb(255, 255, 255);
}

.mapControlBar {
    height: 40px;
    display: flex;
    flex-direction: row;
    border-radius: 1rem;
}

.mapControlBarFilled {
    height: 40px;
    border-radius: 1rem;
}

.mapControlBarSection {
    padding: 0 2px;
    height: 100%;
    line-height: 40px;
    font-size: 14px;
}

.mapControlBarSectionIcon {
    color: #ff6600;
    color: var(--speciesPrimaryColor);
    width: 30px;
}

.searchIconLoader {
    display: none;
    width: 20px;
    height: 20px;
    margin: 8px 3px;
    border: 2px solid rgba(50,50,50,0.2);
    border-top: 2px solid white;
    border-radius: 50%;
    animation: spin .9s ease-in-out infinite;
}

.searchIcon {
    margin-top: 5px;
}

#MapFilterOptionsSearchIconSection.searching > .searchIcon {
    display: none;
}

.searching .searchShowWhenLoaded {
    display: none;
}

.searching .searchIconLoader, .searchWhenLoaded {
    display: inline-block;
}

.searchIconText {
    display: none;
    position: relative;
    bottom: 15px;
    margin-left: 25px
}

.mapIsLoading {
    overflow: hidden;
}

.mapLoader {
    background: #B1DBFD;
    position: absolute;
    display: none;
    height: 100%;
    width: 100%;
    justify-content: center;
    align-items: center;
}

.mapIsLoading .mapLoader {
    display: flex;
    z-index: 1;
}

/*.mapIsLoading #mpcMapCanvas {
    display: none;
}*/

.mapIconLoader {
    width: 40px;
    height: 40px;
    margin: 8px 3px;
    border: 2px solid rgba(50,50,50,0.2);
    border-top: 2px solid white;
    border-radius: 50%;
    animation: spin .9s ease-in-out infinite;
}

.mapControlBarSectionPrimary {
    color: white;
    background: #ff6600;
    background: var(--speciesPrimaryColor);
}

.mapControlBarSectionPrimaryLeft {
    color: white;
    background: #ff6600;
    background: var(--speciesPrimaryColor);
    border-top-left-radius: 1em;
    border-bottom-left-radius: 1em;
}

.mapControlBarSectionDivider {
    height: 100%;
    width: 1px;
    position: relative;
    z-index: 1;
    background-color: rgb(235, 235, 235);
    flex: 0 0 1px;
}

.mapControl.mapControlBigCircle {
    width: 50px;
    height: 50px;
    border-radius: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    font-weight: bold;
    font-family: 'Open Sans', arial, sans-serif;
}

.mapControl.mapControlCircle {
    width: 40px;
    height: 40px;
    border-radius: 100%;
}

.mapControl.mapControlCircle.active {
    border-top-left-radius: 0;
    border-bottom-left-radius: 0;
    color: #ff6600;
    color: var(--speciesPrimaryColor);
}

.mapControlTop {
    margin: 10px;
}

.mapControlBottom {
    margin: 0 16px 16px 16px;
}


.mapControlBottom.chooseLocationMode {
    /* The mobile choose location banner pushes this off the page */
    margin-bottom: 60px;
}

.mapRightTopControl {
    /* Necessary for fs-popup showing over mapRightTopSkinnyControl on mobile*/
    z-index: 1 !important;
}

.mapRightTopSkinnyControl {
    display: flex;
    flex-direction: column;
    align-items: flex-end;
}

.mapControlPopup {
    position: absolute;
    right: 0;
    top: 0;
    z-index: 1;
}

.mapControlLayerOption {
    display: flex;
    flex-direction: column;
    padding: 8px 8px 4px 8px;
    font-size: 14px;
    border-bottom: 1px solid rgba(100,100,100,0.2);
}

.mapControlLayerOption:hover {
    background-color: rgb(215, 216, 217);
}

.mapControlLayerOption img {
    width: 100px;
    height: 100px;
    padding-bottom: 4px;
}

.mapControlZoom {
    width: 40px;
}

.mapControlZoomOption {
    padding-top: 8px;
}

.mapControlZoomOption:hover {
    color: #ff6600;
    color: var(--speciesPrimaryColor);
}

.mapControlZoom .mapControlZoomOption:first-of-type {
    border-bottom: 1px solid rgb(235, 235, 235);
}

#MapZoomControlDiv {
    display: none;
}

.mapControlCreateSiteEvent {
    display: inline-flex;
}

.mapControlCreateSiteEvent.chooseLocationMode, 
    #MapFilterOptionsControlDiv.chooseLocationMode, 
    #MapLegendControlDiv.chooseLocationMode {
    display: none;
}

#CreateNewSiteEventControlDiv.createSiteEventNotAllowed {
    display: none;
}

#MapFilterOptionsControlDiv.hideUserLabel > .mapFilterUserLabel {
    display: none;
}

#MapFilterOptionsControlDiv.hideUserLabel > .mapFilterUserLabelDivider {
    display: none;
}

.mapControlBarSection.mapFilterUserLabel {
    max-width: 100px;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}

.mapControlBarSection.mapFilterLabel {
    padding-left: 0;
    font-size: 1rem;
}

.mapFilterLabel {
    display: none;
}

@media only screen and (max-width: 500px) {
    .mapFilterUserLabel {
        display: none;
    }

    .mapFilterUserLabelDivider {
        display: none;
    }
}

@media only screen and (max-width: 370px) {
    #CreateNewSiteEventControlDiv {
        margin-top: 60px;
    }
}

@media only screen and (min-width: 400px) {
    #MapZoomControlDiv {
        display: block;
    }

    .mapControlBarSection {
        padding: 0 6px;
    }
}

@media only screen and (min-width: 600px) {
    #MapZoomControlDiv {
        display: block;
    }

    .mapControlBarSection {
        padding: 0 8px;
    }

    #MapFilterOptionsSearchIconSection {
        padding-right: 3px;
    }


    .mapFilterLabel {
        display: block;
    }
}

@media only screen and (min-width: 992px) {
    .mapControl {
        color: rgba(25, 25, 25, 0.7);
    }

    .mapControl:hover {
        color: rgba(0, 0, 0, 1);
        box-shadow: rgba(100, 100, 100, 0.5) 0px 0px 9px -2px;
    }

    .mapControlBarSection {
        padding: 0 12px;
    }

    .mapControlBarSection.mapFilterUserLabel {
        max-width: 300px;
    }
}

/* LEGEND
----------------------------------------------------------*/
#MapLegendContainer {
    display: none;
    position: absolute;
    z-index: 1;
    border-top-right-radius: 0;
    width: 260px;
    height: 50%;
}

#MapLegendContainer > .card {
    margin: 0;
    height: 100%;
    overflow: auto;
}

.mapLegendItem {
    text-align: left;
    padding: 2px 0 6px 6px;
}

.mapLegendItem img {
    display: unset;
}

@media only screen and (min-width: 1300px) {
    #MapLegendContainer {
        height: initial;
    }
}

/* LOCATION CHOOSER
----------------------------------------------------------*/
#chooseLocationContainer {
    display: none;
    background: #ff6600;
    background: var(--speciesPrimaryColor);
    flex-direction: row;
    justify-content: space-between;
    color: white;
    text-align: center;
}
#chooseLocationContainer.active {
    display: flex;
}


.chooseLocationButton {
    padding: 1rem;
    font-size: 1.25rem;
}

.chooseLocationButton:hover {
    cursor: pointer;
}

.chooseLocationText {
    width: 100%;
}

.chooseLocationText div:first-of-type {
    font-size: 1.5rem;
    padding-top: 0.25rem;
}

.chooseLocationText div:nth-of-type(0) {
    font-size: 1rem;
}

/* PROGRESS INDICATOR   
----------------------------------------------------------*/
.progressIndicatorContainer {
    margin: 10px;
}

.progressIndicator {
    border: 1px solid black;
    position: relative;
    padding: 3px;
}

.progressIndication {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    text-align: center;
    line-height: 22px;
}

.progressBar {
    height: 16px;
    background-color: #E96F33;
    width: 50%;
}


/* LEGEND   
----------------------------------------------------------*/

.mapLegendKey {
    padding: 5px;
    padding-left: 20px;
    font-family: 'Open Sans', arial, sans-serif;
}

.mapLegend {
    margin-right: 5px;
    overflow: hidden;
    border: 1px solid #4679a6;
}

.mapLegend #map_legend_inner {
    background-color: #ffffff;
    position: relative;
    top: 0;
    left: 0;
}

.mapLegend .mapLegendKey {
    min-width: 300px;
    max-height: 200px;
    overflow-y: auto;
    padding: 0 5px 5px 5px;
}

.mapLegend #btnMapLegendToggle {
    padding: 6px 6px 6px 6px;
    cursor: pointer;
    line-height: normal;
}

.mapLegend .legendToggleStateText {
    padding: 5px;
}

.mapLegendKey .resultCell {
    vertical-align: middle;
}

.noselect {
    -webkit-touch-callout: none;
    -webkit-user-select: none;
    -khtml-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
}

.additionalInfo {
    padding-left: 20px;
}

.additionalInfo ul {
    padding-left: 13px;
    margin: 5px 0;
}

.latinName {
    font-style: italic;
}

.fs-image-thumbnail-link {

}

/* Animations */
@keyframes spin {
    0% {
        transform: rotate(0deg);
    }

    100% {
        transform: rotate(360deg);
    }
}

.pac-container {
    background-color: #fff;
    position: absolute !important;
    z-index: 1000;
    border-radius: 2px;
    border-top: 1px solid #d9d9d9;
    font-family: Arial, sans-serif;
    -webkit-box-shadow: 0 2px 6px rgba(0,0,0,.3);
    box-shadow: 0 2px 6px rgba(0,0,0,.3);
    -webkit-box-sizing: border-box;
    box-sizing: border-box;
    overflow: hidden;
/*    transform: translateY(-121%);*/
}

.mapSearchInput {
    width: 200px;
    height: 30px;
    font-size: 14px;
    border-radius: 10px;
}
